package Data::Storage::Handler::Tom;

use strict;
use warnings;

use base ("Data::Storage::Handler::Abstract");


use Class::Tom qw ( restore );

=pod
my $tom = Class::Tom->new();
$tom->insert(<OBJECT>);
$tom->insert(<ANONYMOUS SUB>);
$tom->insert(<PACKAGE NAME>);
my $flat = $tom->store();
my $newtom = restore( $flat );
=cut

sub insert {
  my $self = shift;
  my $data = shift;
  print "INSERT!", "\n";
}

1;
