## ---------------------------------------------------------------------------
##  $Id: pkgTools.pm,v 1.1 2003/01/20 21:19:42 joko Exp $
## ---------------------------------------------------------------------------
##  $Log: pkgTools.pm,v $
##  Revision 1.1  2003/01/20 21:19:42  joko
##  + initial check-in
##
## ---------------------------------------------------------------------------


package org::netfrag::pkgTools;

use strict;
use warnings;

require Exporter;
our @ISA = qw( Exporter );
our @EXPORT_OK = qw( 
  mkSnapshotFilename
);


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   main

use org::netfrag::shortcuts qw( now );

sub mkSnapshotFilename {
  my $input = shift;
  $input =~ s/\//-/g;
  my $stamp = now({ fs => 1 });
  my $target = $input . '_' . $stamp . '.tar.gz';
  return $target;
}

1;
